%define upstream_name    Mail-GnuPG
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Process email with GPG
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(GnuPG::Interface)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: gnupg
BuildRequires: perl-MIME-tools
BuildArch:  noarch

%description
Use GnuPG::Interface to process or create PGP signed or encrypted email.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
export LC_ALL=C
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Mail
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 369415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.180.0-1.mga3
+ Revision: 286326
- add a br on gnupg to query keys in unary test
- update to 0.18

* Mon Dec 12 2011 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 180872
- update to 0.17

* Mon Jan 24 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 37080
- mageia rebuild
- imported package perl-Mail-GnuPG

